# 监控指标

## Alluxio 监控指标

### 缓存存储

| 指标                                        | 标签 | 类型      | 组件     | 描述                                                                                 |
| ----------------------------------------- | -- | ------- | ------ | ---------------------------------------------------------------------------------- |
| `alluxio_cached_storage_bytes`            | -  | gauge   | worker | 缓存数据量                                                                              |
| `alluxio_cached_capacity_bytes`           | -  | gauge   | worker | 配置的最大缓存存储量                                                                         |
| `alluxio_cached_evicted_data_bytes_total` | -  | counter | worker | 被驱逐的数据量                                                                            |
| `alluxio_data_cached_files`               | -  | gauge   | worker | 当前在工作节点中缓存的文件数量（包括完全或部分缓存）。请注意，将此指标在集群中的多个工作节点上求和并不能得出缓存的唯一文件总数，因为文件可能在多个工作节点上有副本。 |
| `alluxio_data_cached_pages`               | -  | gauge   | worker | 在工作节点中缓存的页面数量                                                                      |

### 数据访问

| 指标                                         | 标签                                     | 类型        | 组件           | 描述                               |
| ------------------------------------------ | -------------------------------------- | --------- | ------------ | -------------------------------- |
| `alluxio_data_access_bytes`                | `method=read/write`                    | histogram | fuse, worker | 聚合的所有数据访问请求                      |
| `alluxio_data_throughput_bytes_total`      | `method=read/write`                    | counter   | worker       | 所有数据访问的数据吞吐量计数器                  |
| `alluxio_meta_operation_total`             | `op=getStatus/listStatus/...`          | counter   | worker       | 元数据操作的 rpc 调用计数器                 |
| `alluxio_cached_data_read_bytes_total`     | -                                      | counter   | worker       | 页面存储中的缓存命中数                      |
| `alluxio_missed_data_read_bytes_total`     | -                                      | counter   | worker       | 页面存储中的缓存未命中数                     |
| `alluxio_ufs_data_access_bytes_total`      | `method=read/write`                    | counter   | fuse, worker | ufs 访问量                          |
| `alluxio_fuse_concurrency`                 | `method=Fuse.Getattr/Fuse.readdir/...` | gauge     | fuse         | 记录 fuse 方法的实时并发数                 |
| `alluxio_s3_api_throughput_bytes`          | `method=read/write/list`               | histogram | fuse, worker | s3 IO API 吞吐量的直方图                |
| `alluxio_s3_api_call_processing`           | `method=GetObject/ListObjects/...`     | gauge     | fuse, worker | 正在处理的 s3 API 调用计数器               |
| `alluxio_multi_replica_read_from_workers`  | `cluster_name,local_cluster,hot_read`  | counter   | client       | 客户端在读取多副本文件时从 Alluxio 工作节点读取的字节数 |
| `alluxio_passive_cache_async_loaded_files` | `result=submitted/success/failure`     | counter   | worker       | 由被动缓存触发的工作节点加载的文件数               |

### 分布式加载

| 指标                                                   | 标签                              | 类型      | 组件          | 描述                  |
| ---------------------------------------------------- | ------------------------------- | ------- | ----------- | ------------------- |
| `alluxio_distributed_load_job_scanned_total`         | -                               | counter | coordinator | 分布式加载中扫描的 inode 计数器 |
| `alluxio_distributed_load_job_processed_total`       | -                               | counter | coordinator | 分布式加载中加载的非空文件副本计数器  |
| `alluxio_distributed_load_job_skipped_total`         | -                               | counter | coordinator | 分布式加载中跳过的 inode 计数器 |
| `alluxio_distributed_load_job_failure_total`         | `reason, final_attempt, worker` | counter | coordinator | 分布式加载失败计数器          |
| `alluxio_distributed_load_job_dispatched_size_total` | -                               | counter | coordinator | 分布式加载中分派的字节数计数器     |
| `alluxio_distributed_load_job_loaded_bytes_total`    | -                               | counter | coordinator | 分布式加载中加载的字节数计数器     |

### 许可证

| 指标                                | 标签 | 类型    | 描述                     |
| --------------------------------- | -- | ----- | ---------------------- |
| `alluxio_license_expiration_date` | -  | gauge | 许可证到期日期，以 epoch 时间格式表示 |

## 进程和 JVM 指标

| 指标                           | 标签                                                 | 类型      | 描述                        |
| ---------------------------- | -------------------------------------------------- | ------- | ------------------------- |
| `process_start_time_seconds` | -                                                  | gauge   | 自 unix epoch 以来的进程启动时间（秒） |
| `process_cpu_seconds_total`  | -                                                  | counter | 总用户和系统 CPU 时间（秒）          |
| `jvm_threads_current`        | -                                                  | gauge   | JVM 的当前线程数                |
| `jvm_memory_used_bytes`      | `area=heap/nonheap`                                | gauge   | 给定 JVM 内存区域的已用字节数         |
| `jvm_memory_max_bytes`       | `area=heap/nonheap`                                | gauge   | 给定 JVM 内存区域的最大字节数         |
| `jvm_gc_collection_seconds`  | `gc="G1 Young Generation"/"G1 Old Generation"/...` | summary | 在给定 JVM 垃圾回收器中花费的时间（秒）    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.alluxio.io/ee-ai-cn/ai-3.7/reference/metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
